Skip to main content
GET
/
plugins
/
{name}
/
conn
/
{id}
Get Plugin Connection
curl --request GET \
  --url https://use.hoop.dev/api/plugins/{name}/conn/{id}
{
  "config": [
    "EMAIL_ADDRESS",
    "URL"
  ],
  "connection_id": "B702C63C-E6EB-46BB-9D1E-90EA077E4582",
  "id": "B39D74FA-EF2E-4B0C-A28A-D382B18043C6",
  "plugin_id": "review",
  "updated_at": "2024-07-25T19:36:41Z"
}

Documentation Index

Fetch the complete documentation index at: https://mintlify.hoop.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

name
string
required

The name of the plugin

id
string
required

The connection id

Response

OK

config
string[]

The configuration of the plugin connection, the content depends on the plugin type

Example:
["EMAIL_ADDRESS", "URL"]
connection_id
string<uuid>

The connection ID reference

Example:

"B702C63C-E6EB-46BB-9D1E-90EA077E4582"

id
string<uuid>

The resource ID

Example:

"B39D74FA-EF2E-4B0C-A28A-D382B18043C6"

plugin_id
string

The plugin id to create associations

Example:

"review"

updated_at
string
read-only

The time when this resource was updated

Example:

"2024-07-25T19:36:41Z"